LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 02-13-2017, 11:27 AM   #1
Lenard Spencer
Member
 
Registered: Sep 2004
Location: Florida
Distribution: Slackware, Linux from Scratch
Posts: 329

Rep: Reputation: 199Reputation: 199
Adding libcxx and libcxxabi to llvm?


I just came across a program that requires libc++abi.so.1, and in checking into it I found that that library is from libcxxabi, which is a project of llvm. What are the pitfalls of adding libcxx and libcxxabi to the llvm package?

(The program in question is the X-Plane 11 installer.)

Thanks in advance.
 
Old 02-13-2017, 06:11 PM   #2
Lenard Spencer
Member
 
Registered: Sep 2004
Location: Florida
Distribution: Slackware, Linux from Scratch
Posts: 329

Original Poster
Rep: Reputation: 199Reputation: 199
UPDATE: In looking at the SB script for llvm, I came up with this patch. Maybe it could be incorporated into llvm?

The files needed are libcxx-3.x.x.src.tar.xz and libcxxabi-3.x.x.src.tar.xz. (3.8.0 for 14.2 and 3.9.1 for -current) The patch:

llvm.SlackBuild.diff

Code:
--- llvm.SlackBuild.orig	2017-02-13 11:26:49.000000000 -0500
+++ llvm.SlackBuild	2017-02-13 12:01:10.825343550 -0500
@@ -81,6 +81,12 @@
   tar xvf $CWD/openmp-$VERSION.src.tar.xz || exit 1
   mv openmp-${VERSION} openmp 2>/dev/null \
     || mv openmp-${VERSION}.src openmp || exit 1
+  tar xvf $CWD/libcxx-$VERSION.src.tar.xz || exit 1
+  mv libcxx-${VERSION} libcxx 2>/dev/null \
+    || mv libcxx-${VERSION}.src libcxx || exit 1
+  tar xvf $CWD/libcxxabi-$VERSION.src.tar.xz || exit 1
+  mv libcxxabi-${VERSION} libcxxabi 2>/dev/null \
+    || mv libcxxabi-${VERSION}.src libcxxabi || exit 1
 cd ../
 
 # Support GCC built for i586-slackware-linux:
@@ -178,7 +184,7 @@
   rm $i
 done
 
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{clang,lldb,clang-tools-extra,compiler-rt,openmp}
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{clang,lldb,clang-tools-extra,compiler-rt,openmp,libcxx,libcxxabi}
 cp -a CREDITS* LICENSE* README* $PKG/usr/doc/$PKGNAM-$VERSION
 cp -a tools/clang/{INSTALL,LICENSE,NOTES,README}* \
   $PKG/usr/doc/$PKGNAM-$VERSION/clang
@@ -190,6 +196,10 @@
   $PKG/usr/doc/$PKGNAM-$VERSION/compiler-rt
 cp -a projects/openmp/{CREDITS,LICENSE}* \
   $PKG/usr/doc/$PKGNAM-$VERSION/openmp
+cp -a projects/libcxx/{CREDITS,LICENSE}* \
+  $PKG/usr/doc/$PKGNAM-$VERSION/libcxx
+cp -a projects/libcxxabi/{CREDITS,LICENSE}* \
+  $PKG/usr/doc/$PKGNAM-$VERSION/libcxxabi
 mv $PKG/usr/docs/llvm/* $PKG/usr/doc/$PKGNAM-$VERSION
 rm -rf $PKG/usr/docs
(note that the last line after 'rm -rf $PKG/usr/docs' is a single space with a return.)

So far it seems to work for me.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
What is LLVM/gcc? Erentigionation Linux - Software 2 06-21-2016 10:02 AM
llvm-config problem in slackware64-current LLVM 3.2 package teeemcee Slackware 0 01-24-2013 02:44 PM
GCC vs LLVM mlpa Slackware 24 05-19-2012 06:01 AM
LLVM,QEMU and More foresst Linux - Software 3 03-12-2011 11:02 PM
What is LLVM? MTK358 Programming 2 03-22-2010 05:55 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 01:01 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration